Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util.log.util
Class CommonsLogFactory

    java.lang.Object
      org.apache.commons.logging.LogFactory
          org.jivesoftware.util.log.util.CommonsLogFactory

    public class CommonsLogFactory

extends org.apache.commons.logging.LogFactory

A LogFactory implementation to override the default commons-logging behavior. All log statements are written to the Openfire logs. Info level logging is sent to debug.

Field Summary

Fields inherited from class org.apache.commons.logging.LogFactory
`factories, FACTORY_DEFAULT, FACTORY_PROPERTIES, FACTORY_PROPERTY, SERVICE_ID`

Constructor Summary
`CommonsLogFactory()`

Method Summary
`Object` | `getAttribute(String string)`
`String[]` | `getAttributeNames()`
`org.apache.commons.logging.Log` | `getInstance(Class aClass)`
`org.apache.commons.logging.Log` | `getInstance(String string)`
`void` | `release()`
`void` | `removeAttribute(String string)`
`void` | `setAttribute(String string, Object object)`

Methods inherited from class org.apache.commons.logging.LogFactory
`getContextClassLoader, getFactory, getLog, getLog, newFactory, release, releaseAll`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommonsLogFactory

    public CommonsLogFactory()

Method Detail

### getAttribute

    public Object getAttribute(String string)

  Specified by:
    `getAttribute` in class `org.apache.commons.logging.LogFactory`

### getAttributeNames

    public String[] getAttributeNames()

  Specified by:
    `getAttributeNames` in class `org.apache.commons.logging.LogFactory`

### getInstance

    public org.apache.commons.logging.Log getInstance(Class aClass)
                                               throws org.apache.commons.logging.LogConfigurationException

  Specified by:
    `getInstance` in class `org.apache.commons.logging.LogFactory`
  Throws:
    `org.apache.commons.logging.LogConfigurationException`

### getInstance

    public org.apache.commons.logging.Log getInstance(String string)
                                               throws org.apache.commons.logging.LogConfigurationException

  Specified by:
    `getInstance` in class `org.apache.commons.logging.LogFactory`
  Throws:
    `org.apache.commons.logging.LogConfigurationException`

### release

    public void release()

  Specified by:
    `release` in class `org.apache.commons.logging.LogFactory`

### removeAttribute

    public void removeAttribute(String string)

  Specified by:
    `removeAttribute` in class `org.apache.commons.logging.LogFactory`

### setAttribute

    public void setAttribute(String string,
                             Object object)

  Specified by:
    `setAttribute` in class `org.apache.commons.logging.LogFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.